Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create document space permission

POST/workspaces/{organizationId}/document-spaces/{id}/permissions
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
actorIdstringrequired
min length 1
actorTypestring
Allowed:userteam
levelstring
Allowed:viewedit
Responses
201

Space permission granted

idstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/document-spaces/string/permissions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "actorId": "string",
  "actorType": "user",
  "level": "view"
}'
Response
{
  "id": "string"
}

Was this page helpful?